﻿using BarDataModels.Enums;
using BarDataModels.Models;
using System.ComponentModel;

namespace BarContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

        public int CocktailId { get; set; }

        [DisplayName("Ремонт")]
        public string CocktailName { get; set; } = string.Empty;

        public int ClientId { get; set; }

        [DisplayName("Клиент")]
        public string ClientFIO { get; set; } = string.Empty;

        [DisplayName("Почта клиента")]
        public string ClientEmail { get; set; } = string.Empty;

        public int? ImplementerId { get; set; }

        [DisplayName("Исполнитель")]
        public string? ImplementerFIO { get; set; }

        [DisplayName("Количество")]
        public int Count { get; set; }

        [DisplayName("Сумма")]
        public double Sum { get; set; }

        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Undefined;

        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
